centos7安装Tesseract-OCR 4.1 报错 configure: error: Leptonica 1.74 or higher is required. 解决方法

在centos7安装Tesseract-OCR 4.1时,我们知道官网只给出了ubuntu的编译教程,在centos7上安装出现了很多问题,下面就是我遇到的问题 1、出现问题 我遇到的问题就是报错: configure: error: Leptonica 1.74 or higher is required. 2、解决方法 源码安装Leptonica-1.78,源码下载:http://www.leptonica.org/source/leptonica-1.78.0.tar.gz 因为官网是国外的,如果觉得下载有点慢,我已经提前下载好,下载地址:leptonica-1.78.0.tar.gz # 用wget命令下载 wget -c -t

Read More

Linux的基本命令

ls 目录/文件:查看是否有目录或文件 ls -a :显示所有文件,包括隐藏的文件 cat 文件路径:查看文件里面的内容 cd 文件名称:进入某个文件夹 cd ..:返回上一级文件目录 cp 要复制的文件 目的文件:复制文件 pwd:显示文件的路径 mkdir 文件名:创建文件夹 vi 文件名:编辑文件 rm

Read More

如何使用Nginx代理jupyter服务

jupyter编辑器是一个非常棒的web端编辑器,可以轻松的运行Python,c/c++,java程序,还有友好的语法点亮界面,但是有时我们在服务器部署jupyter,由于防火墙的原因,只有80端口开放,下面介绍如何用Nginx代理转发jupyter服务 1、部署与运行jupyter 首先你要安装运行jupyter服务,如果你还没有配置与安装,可以移步我的博客教程:在Linux服务器上搭载在线jupyter编辑器 2、jupyter加入配置 编辑配置文件: vi ~/.jupyter/jupyter_notebook_config.py 打开或者添加下面的配置 # 注意jupyter名字可以自己随意定义,这里只是作为例子 c.NotebookApp.base_url = ‘/jupyter’ 重新启动: # 根据端口号查询进程 netstat -nlp | grep

Read More

Ubuntu 16.04 更换为国内源

1 备份 sources.list cp /etc/apt/sources.list /etc/apt/sources.list.bak 2 编辑 sources.list rm /etc/apt/sources.list vim /etc/apt/sources.list 3 选择其中一种国内源粘贴进去 #sohu shangdong deb http://mirrors.sohu.com/ubuntu/ trusty

Read More

如何使用Nginx代理php服务,使用浏览器直接访问运行php文件

使用Nginx代理php服务,需要配置相关文件 1、下载安装Nginx 如你的机器没有Nginx,请参考我的博客链接:Linux下安装Nginx的web服务器 2、修改配置文件 修改Nginx配置文件,相关配置如下: http { include mime.types; default_type application/octet-stream; sendfile on; server { listen 80; server_name localhost; root

Read More

Ubuntu 19.10 国内源

1 备份原来的sources.list sudo su cp -rf /etc/apt/sources.list /etc/apt/sources.list.bak 2 编辑sources.list rm /etc/apt/sources.list vi /etc/apt/sources.list 3 从以下源中选择一种 #阿里云源 deb http://mirrors.aliyun.com/ubuntu/ eoan

Read More

Nginx下代理访问PHP文件,报错File not found处理

我们在安装Nginx后,给PHP服务做代理,当我们访问代理目录下的php文件时,会显示File not found 1、原因 php-fpm无法找到SCRIPT_FILENAME里可执行的php文件 php-fpm没有权限去访问该php文件 2、解决方法 修改Nginx配置文件 修改nginx配置文件 vi /usr/local/nginx/conf/nginx.conf fastcgi_param SCRIPT_FILENAME /scriptsfastcgi_script_name; 更改为 fastcgi_param SCRIPT_FILENAMEdocument_root$fastcgi_script_name; # 重启nginx /usr/local/nginx/sbin/nginx

Read More

Linux下安装基于Python3.7的Anaconda环境

Anaconda是一个十分巨大的用于科学的python资源库,鉴于python在AI的广泛应用,Anaconda为python提供非常多的AI开源库,它能让数据科学家可以定期将AI和机器学习项目大规模部署到生产中,快速将洞察力传递给决策者 下面介绍在Linux下安装Anaconda环境 1、创建用户 我们一般在普通用户下安装Anaconda环境,这样用户可以独立使用自己的python解释器,不用root权限就可以安装各种python资源库 # 在root权限下创建用户, xxx为你的用户名 useradd -s /bin/bash -d /home/xxx -m xxx # 设置密码 passwd xxx # 切换用户 su

Read More

CentOS 8 / RHEL 8 安装g++编译器

CentOS 8 / RHEL 8默认没有g++的编译器,但是一般会带有gcc-8.3的编译器,对此我们需要安装g++的编译器 1、出现问题 当你的CentOS 8 / RHEL 8刚刚安装时,你检测你的g++环境会出现这样的界面 # 检测版本 g++ -v 2、安装g++编译环境 出现上述问题是因为你没有安装g++环境,解决方式用下面的命令安装gcc对应的g++版本 # 安装g++ 要用root权限运行 yum install gcc-c++

Read More

Ubuntu16.04/18.04安装PHP7.4

Ubuntu16.04和18.04默认是不支持php7.4的包的安装,对于一些特定的软件需要PHP7.4的软件支持,为此Ubuntu下安装PHP7.4是一个很重要的过程,下面介绍安装PHP7.4的方法,实测好使! 1、安装 add-apt-repository 命令 # 用下列命令安装 sudo apt-get install software-properties-common 效果如下: 2、添加第三方源 # 用add-apt-repository命令添加源 sudo add-apt-repository ppa:ondrej/php 效果如下: 3、安装并启动 安装与启动:

Read More

利用frp内网穿透工具,访问内网的ssh和web服务

frp 是一个可用于内网穿透的高性能的反向代理应用,支持 tcp, udp 协议,为 http 和 https 应用协议提供了额外的能力,且尝试性支持了点对点穿透。 1、下载源码资源 官网链接:https://github.com/fatedier/frp/releases # 用wget命令下载 wget -bc -t 20 https://github.com/fatedier/frp/releases/download/v0.32.1/frp_0.32.1_linux_amd64.tar.gz 本地下载:frp_0.32.1_linux_amd64.tar.gz #

Read More